Pular para o conteúdo principal
POST
/
api
/
v1
/
search
/
text-store
/
stores
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.search.text_store.create_text_store(x_api_key_id="<id>", x_user_id="<id>", x_exchange_jwt_external_user_id="<id>", store_name="product_catalog", dimension=3)

    # Handle response
    print(res)
{
  "message": "Text store created successfully",
  "store_name": "product_catalog"
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

x-api-key-id
string
obrigatório
x-user-id
string
obrigatório
x-exchange-jwt-external-user-id
string
obrigatório

Corpo

application/json

Pedido para criar um novo armazenamento de texto.

store_name
string
obrigatório

Nome da loja de texto

Minimum string length: 1
dimension
integer
obrigatório

Dimensão dos vetores de incorporação

Intervalo obrigatório: x >= 1

Resposta

Resposta Bem-Sucedida

Resposta após a criação de um armazenamento de texto.

store_name
string
obrigatório

Nome do repositório de texto criado

message
string
obrigatório

Mensagem de status da operação